<?php

namespace App\Models\Ecommerce\Product\Product\Concerns;

trait ProductStates
{
    /**
     * Check if product is new (one week range)
     */
    public function isNew(): bool
    {
        return $this->created_at->greaterThan(now()->subWeek());
    }
}
